geo_secondary_role['enable'] = true
gitlab_rails['geo_node_name'] = "{{ geo_secondary_site_name }}"

gitlab_rails['db_password'] = "{{ postgres_password }}"

postgresql['sql_user_password'] = "{{ (postgres_password + 'gitlab') | md5 }}"
postgresql['listen_address'] = "0.0.0.0"

postgresql['md5_auth_cidr_addresses'] = ['0.0.0.0/0']

{% if 'gitlab_rails' in group_names %}
postgresql['max_connections'] = 330
{% endif %}

{% if postgres_replication_manager == 'patroni' %}
patroni['standby_cluster']['enable'] = true
patroni['standby_cluster']['host'] = '{{ internal_lb_host }}'
patroni['standby_cluster']['port'] = 5432
patroni['standby_cluster']['primary_slot_name'] = 'geo_secondary'

patroni['replication_password'] = '{{ postgres_password }}'
postgresql['sql_replication_password'] = '{{ (postgres_password + 'gitlab_replicator') | md5 }}'

{% if patroni_password is defined %}
patroni['username'] = 'patroni-api'
patroni['password'] = '{{ patroni_password }}'
{% endif %}
{% endif %}

geo_logcursor['enable'] = {{ ('sidekiq' not in groups and not cloud_native_hybrid_geo) | lower }}
